## ddcutil 0.9.10+deepin

=== src/cython/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# src/cython/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ddcutil
pkgincludedir = $(includedir)/ddcutil
pkglibdir = $(libdir)/ddcutil
pkglibexecdir = $(libexecdir)/ddcutil
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
subdir = src/cython
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_path_python3.m4 \
	$(top_srcdir)/m4/ax_pkg_swig.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/ax_python_env.m4 \
	$(top_srcdir)/m4/flm_prog_try_doxygen.m4 \
	$(top_srcdir)/m4/introspection.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
am__vpath_adj = case $$p in \
    $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
    *) f=$$p;; \
  esac;
am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
am__install_max = 40
am__nobase_strip_setup = \
  srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
am__nobase_strip = \
  for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
am__nobase_list = $(am__nobase_strip_setup); \
  for p in $$list; do echo "$$p $$p"; done | \
  sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
  $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
    if (++n[$$2] == $(am__install_max)) \
      { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
    END { for (dir in files) print dir, files[dir] }'
am__base_list = \
  sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
  sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
am__uninstall_files_from_dir = { \
  test -z "$$files" \
    || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
    || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
         $(am__cd) "$$dir" && rm -f $$files; }; \
  }
am__installdirs = "$(DESTDIR)$(py3execdir)" "$(DESTDIR)$(pyexecdir)"
LTLIBRARIES = $(py3exec_LTLIBRARIES) $(pyexec_LTLIBRARIES)
#cyddc2_la_DEPENDENCIES = ../libcommon.la \
#	../libddcutil.la
#nodist_cyddc2_la_OBJECTS = cyddc2_la-cyddc2.lo
cyddc2_la_OBJECTS = $(nodist_cyddc2_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
cyddc2_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(cyddc2_la_CFLAGS) \
	$(CFLAGS) $(cyddc2_la_LDFLAGS) $(LDFLAGS) -o $@
#am_cyddc2_la_rpath = -rpath $(pyexecdir)
#cyddc3_la_DEPENDENCIES = ../libcommon.la \
#	../libddcutil.la
#nodist_cyddc3_la_OBJECTS = cyddc3_la-cyddc3.lo
cyddc3_la_OBJECTS = $(nodist_cyddc3_la_OBJECTS)
cyddc3_la_LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(cyddc3_la_CFLAGS) \
	$(CFLAGS) $(cyddc3_la_LDFLAGS) $(LDFLAGS) -o $@
#am_cyddc3_la_rpath = -rpath $(py3execdir)
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__depfiles_maybe = depfiles
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(nodist_cyddc2_la_SOURCES) $(nodist_cyddc3_la_SOURCES)
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.15
ADL_HEADER_DIR = /shared/playproj/i2c/adl_sdk_headers
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /shared/playproj/i2c/config/missing autoconf
AUTOHEADER = ${SHELL} /shared/playproj/i2c/config/missing autoheader
AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.15
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DBG = 
DEBIAN_DISTRIBUTION = xenial
DEBIAN_RELEASE = 1
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOCBASE_INSTALL_DOCS = install-docs
DOXYGEN = 
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DUMPBIN = 
DX_CONFIG = 
DX_DOCDIR = 
DX_DOT = 
DX_DOXYGEN = 
DX_DVIPS = 
DX_EGREP = 
DX_ENV = 
DX_FLAG_chi = 
DX_FLAG_chm = 
DX_FLAG_doc = 
DX_FLAG_dot = 
DX_FLAG_html = 
DX_FLAG_man = 
DX_FLAG_pdf = 
DX_FLAG_ps = 
DX_FLAG_rtf = 
DX_FLAG_xml = 
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = 
DX_PROJECT = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_SHARED_LIB_FLAG = 1
ENABLE_USB_FLAG = 1
EXEEXT = 
FGREP = /bin/grep -F
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
GLIB_LIBS = -lglib-2.0
GOBJECT_CFLAGS = 
GOBJECT_LIBS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib/x86_64-linux-gnu/girepository-1.0
LD = /usr/bin/x86_64-linux-gnu-ld -m elf_x86_64
LDFLAGS = 
LIBDRM_CFLAGS = -I/usr/include/libdrm
LIBDRM_LIBS = -ldrm
LIBOBJS = 
LIBS = -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB_LIBS = -lusb-1.0
LIBX11_CFLAGS = 
LIBX11_LIBS = -lX11
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 0
LT_REVISION = 0
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ddcutil
PACKAGE_BUGREPORT = rockowitz@minsoft.com
PACKAGE_NAME = ddcutil
PACKAGE_STRING = ddcutil 0.9.2
PACKAGE_TARNAME = ddcutil
PACKAGE_URL = 
PACKAGE_VERSION = 0.9.2
PACKAGE_VMAJOR = 0
PACKAGE_VMICRO = 2
PACKAGE_VMINOR = 9
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PY2_CFLAGS = 
PY2_EXECDIR = 
PY2_EXTRA_LDFLAGS = 
PY2_EXTRA_LIBS = 
PY2_LIBS = 
PY3_CFLAGS = 
PY3_EXECDIR = 
PY3_EXTRA_LDFLAGS = 
PY3_EXTRA_LIBS = 
PY3_LIBS = 
PYEXECDIR = 
PYTHON = 
PYTHON3 = 
PYTHON3_EXEC_PREFIX = 
PYTHON3_PLATFORM = 
PYTHON3_PREFIX = 
PYTHON3_VERSION = 
PYTHON_EXEC_PREFIX = 
PYTHON_PLATFORM = 
PYTHON_PREFIX = 
PYTHON_VERSION = 
RANLIB = ranlib
REQUIRED_PACKAGES =  glib-2.0 >= 2.32 xrandr x11
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SWIG = 
SWIG_LIB = 
UDEV_CFLAGS = 
UDEV_LIBS = -ludev
VERSION = 0.9.2
XRANDR_CFLAGS = 
XRANDR_LIBS = -lXrandr
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
abs_builddir = /shared/playproj/i2c/src/cython
abs_srcdir = /shared/playproj/i2c/src/cython
abs_top_builddir = /shared/playproj/i2c
abs_top_srcdir = /shared/playproj/i2c
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin

=== debian/changelog ===
ddcutil (0.9.10+deepin-1+eagle) unstable; urgency=medium

  * update

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 27 Jun 2022 10:50:47 +0800

=== debian/control ===
Source: ddcutil
Priority: optional
Section: utils
Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
Build-Depends: debhelper (>= 11),
               pkg-config,
               libdrm-dev,
               libglib2.0-dev (>= 2.32),
               libudev-dev,
               libusb-1.0-0-dev,
               libxrandr-dev
Standards-Version: 4.2.1
Homepage: http://www.ddcutil.com

Package: ddcutil
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         i2c-tools
Description: Control monitor settings
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.
 .
 A particular use case for ddcutil is as part of color profile management.
 Monitor calibration is relative to the monitor color settings currently in
 effect,  e.g. red  gain.  ddcutil allows color related settings to be saved
 at the time a monitor is calibrated, and then restored when the calibration
 is applied.

Package: libddcutil0
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Control monitor settings - library
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.
 .
 A particular use case for ddcutil is as part of color profile management.
 Monitor calibration is relative to the monitor color settings currently in
 effect,  e.g. red  gain.  ddcutil allows color related settings to be saved
 at the time a monitor is calibrated, and then restored when the calibration
 is applied.
 .
 This package contains the shared library.

Package: libddcutil-dev
Architecture: any
Depends: libddcutil0 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
Section: libdevel
Description: Control monitor settings - development files
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.
 .
 A particular use case for ddcutil is as part of color profile management.
 Monitor calibration is relative to the monitor color settings currently in
 effect,  e.g. red  gain.  ddcutil allows color related settings to be saved
 at the time a monitor is calibrated, and then restored when the calibration
 is applied.
 .
 This package contains development files.

## ddcutil 1.2.2

=== debian/changelog ===
ddcutil (1.2.2-1) unstable; urgency=medium

  * New upstream release

  * debian/watch
    - increment version to 4

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 07 Feb 2022 05:00:00 -0400

ddcutil (1.2.1-1) unstable; urgency=medium

  * New upstream release (Closes: #988489)

  * debian/control
    - add Build-Depends: libi2c-dev (>= 4.0)
    - add Build_Depends: libkmod-dev
    - package ddcutil: specify version >= 4.0 for Depends: i2c-tools
    - Homepage: use https instead of http in URL
    - Standards-Version: increment to 4.6.0
    - replace libddcutil3 with libddcutil4
    - increment required debhelper version to 13

  * debian/copyright
    - conform to copyright format 1.0
    - bump copyright year

  * debian/libddcutil*
    - files libddcutil4* replace libddcutil3*

  * debian/ddcutil.docs, debian/libddcutil4.docs, debian/libddcutil-dev.docs
    - add CHANGELOG.md

  * debian/rules
    * delete dh_installchangelogs override

  * debian/compat
    - increment compatibility level to 13

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 02 Dec 2021 05:00:00 -0400

ddcutil (0.9.9-2) unstable; urgency=medium

  * Upload without binaries

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Mon, 27 Jul 2020 06:30:00 -0400

ddcutil (0.9.9-1) unstable; urgency=low

  * New upstream release

  * debian/compat:
    - change version to 12

  * debian/control:
    - add Rules-Requires-Root: no
    - replace libddcutil2 with libddcutil3

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 24 Jun 2020 09:00:00 -0400

ddcutil (0.9.8-4) unstable; urgency=low

  * debian/rules
    - remove diagnostic messages

  * debian/control
    - replace dependency on hwdata with dependencies on pci.ids, usb.ids and
      usbutils (Closes: #953297)

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 07 Mar 2020 09:00:00 -0400

ddcutil (0.9.8-3) unstable; urgency=low

  * debian/control
    - add packages libddcutil2, libddcutil-dev
    - revise Depends: for package ddcutil

  * debian/rules
    - add diagnostic messages

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 26 Feb 2020 09:00:00 -0400

=== debian/control ===
Source: ddcutil
Priority: optional
Section: utils
Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
Build-Depends: debhelper (>= 13),
               libdrm-dev,
               libglib2.0-dev (>= 2.32),
               libi2c-dev (>= 4.0),
               libkmod-dev,
               libudev-dev,
               libusb-1.0-0-dev,
               libxrandr-dev,
               pkg-config
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://www.ddcutil.com

Package: ddcutil
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pci.ids,
         usb.ids,
         usbutils,
         i2c-tools (>= 4.0)
Description: Control monitor settings - Standalone command line application
 ddcutil is used to query and change monitor settings.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.

Package: libddcutil4
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         pci.ids,
         usb.ids,
         usbutils
Description: Control monitor settings - shared library
 This is the shared library version of ddcutil.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.

Package: libddcutil-dev
Architecture: any
Section: libdevel
Depends: ${misc:Depends},
         libddcutil4 (=${binary:Version})
Description: Control monitor settings - development files
 These are the C development files for libddcutil.
 .
 ddcutil communicates with monitors implementing MCCS (Monitor Control Command
 Set). Normally, communication is performed using the DDC/CI protocol on the
 I2C bus.  Alternatively, communication can be performed over USB as per the
 USB Monitor Control Class Specification.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-lib=yes --enable-drm=yes --enable-usb=yes

## ddcutil 1.3.0

=== src/adl_archived/Makefile ===
# Makefile.in generated by automake 1.16.2 from Makefile.am.
# src/adl/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2020 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.




am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/ddcutil
pkgincludedir = $(includedir)/ddcutil
pkglibdir = $(libdir)/ddcutil
pkglibexecdir = $(libexecdir)/ddcutil
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
#am__append_1 = -fdump-rtl-expand
#am__append_2 = \
#  adl_impl/adl_aux_intf.c \
#  adl_impl/adl_errors.c \
#  adl_impl/adl_intf.c \
#  adl_impl/adl_report.c \
#  adl_impl/adl_shim.c

am__append_3 = \
  adl_mock_impl/adl_mock_shim.c \
  adl_mock_impl/adl_mock_errors.c

subdir = src/adl
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_path_python3.m4 \
	$(top_srcdir)/m4/ax_pkg_swig.m4 \
	$(top_srcdir)/m4/ax_prog_doxygen.m4 \
	$(top_srcdir)/m4/ax_python_env.m4 \
	$(top_srcdir)/m4/flm_prog_try_doxygen.m4 \
	$(top_srcdir)/m4/introspection.m4 $(top_srcdir)/m4/libtool.m4 \
	$(top_srcdir)/m4/ltoptions.m4 $(top_srcdir)/m4/ltsugar.m4 \
	$(top_srcdir)/m4/ltversion.m4 $(top_srcdir)/m4/lt~obsolete.m4 \
	$(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_HEADER = $(top_builddir)/config.h
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
LTLIBRARIES = $(noinst_LTLIBRARIES)
libadl_la_LIBADD =
am__libadl_la_SOURCES_DIST = adl_impl/adl_aux_intf.c \
	adl_impl/adl_errors.c adl_impl/adl_intf.c \
	adl_impl/adl_report.c adl_impl/adl_shim.c \
	adl_mock_impl/adl_mock_shim.c adl_mock_impl/adl_mock_errors.c
am__dirstamp = $(am__leading_dot)dirstamp
#am__objects_1 = adl_impl/adl_aux_intf.lo \
#	adl_impl/adl_errors.lo \
#	adl_impl/adl_intf.lo \
#	adl_impl/adl_report.lo \
#	adl_impl/adl_shim.lo
am__objects_2 = adl_mock_impl/adl_mock_shim.lo \
	adl_mock_impl/adl_mock_errors.lo
am_libadl_la_OBJECTS = $(am__objects_1) $(am__objects_2)
libadl_la_OBJECTS = $(am_libadl_la_OBJECTS)
AM_V_lt = $(am__v_lt_$(V))
am__v_lt_ = $(am__v_lt_$(AM_DEFAULT_VERBOSITY))
am__v_lt_0 = --silent
am__v_lt_1 = 
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
DEFAULT_INCLUDES = -I. -I$(top_builddir)
depcomp = $(SHELL) $(top_srcdir)/config/depcomp
am__maybe_remake_depfiles = depfiles
am__depfiles_remade = adl_impl/$(DEPDIR)/adl_aux_intf.Plo \
	adl_impl/$(DEPDIR)/adl_errors.Plo \
	adl_impl/$(DEPDIR)/adl_intf.Plo \
	adl_impl/$(DEPDIR)/adl_report.Plo \
	adl_impl/$(DEPDIR)/adl_shim.Plo \
	adl_mock_impl/$(DEPDIR)/adl_mock_errors.Plo \
	adl_mock_impl/$(DEPDIR)/adl_mock_shim.Plo
am__mv = mv -f
COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
LTCOMPILE = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=compile $(CC) $(DEFS) \
	$(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) \
	$(AM_CFLAGS) $(CFLAGS)
AM_V_CC = $(am__v_CC_$(V))
am__v_CC_ = $(am__v_CC_$(AM_DEFAULT_VERBOSITY))
am__v_CC_0 = @echo "  CC      " $@;
am__v_CC_1 = 
CCLD = $(CC)
LINK = $(LIBTOOL) $(AM_V_lt) --tag=CC $(AM_LIBTOOLFLAGS) \
	$(LIBTOOLFLAGS) --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) \
	$(AM_LDFLAGS) $(LDFLAGS) -o $@
AM_V_CCLD = $(am__v_CCLD_$(V))
am__v_CCLD_ = $(am__v_CCLD_$(AM_DEFAULT_VERBOSITY))
am__v_CCLD_0 = @echo "  CCLD    " $@;
am__v_CCLD_1 = 
SOURCES = $(libadl_la_SOURCES)
DIST_SOURCES = $(am__libadl_la_SOURCES_DIST)
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
# Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates.  Input order is
# *not* preserved.
am__uniquify_input = $(AWK) '\
  BEGIN { nonempty = 0; } \
  { items[$$0] = 1; nonempty = 1; } \
  END { if (nonempty) { for (i in items) print i; }; } \
'
# Make sure the list of sources is unique.  This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables
# for different programs/libraries.
am__define_uniq_tagged_files = \
  list='$(am__tagged_files)'; \
  unique=`for i in $$list; do \
    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
  done | $(am__uniquify_input)`
ETAGS = etags
CTAGS = ctags
am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.16
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
AR = ar
AUTOCONF = ${SHELL} /shared/playproj/i2c/config/missing autoconf
AUTOHEADER = ${SHELL} /shared/playproj/i2c/config/missing autoheader
AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.16
AWK = gawk
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -g -O2
CPP = gcc -E
CPPFLAGS = 
CYGPATH_W = echo
DBG = 
DEFS = -DHAVE_CONFIG_H
DEPDIR = .deps
DLLTOOL = false
DOCBASE_INSTALL_DOCS = install-docs
DOXYGEN = 
DOXYGEN_PAPER_SIZE = 
DSYMUTIL = 
DUMPBIN = 
DX_CONFIG = 
DX_DOCDIR = 
DX_DOT = 
DX_DOXYGEN = 
DX_DVIPS = 
DX_EGREP = 
DX_ENV = 
DX_FLAG_chi = 
DX_FLAG_chm = 
DX_FLAG_doc = 
DX_FLAG_dot = 
DX_FLAG_html = 
DX_FLAG_man = 
DX_FLAG_pdf = 
DX_FLAG_ps = 
DX_FLAG_rtf = 
DX_FLAG_xml = 
DX_HHC = 
DX_LATEX = 
DX_MAKEINDEX = 
DX_PDFLATEX = 
DX_PERL = 
DX_PROJECT = 
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
ENABLE_ENVCMDS_FLAG = 1
ENABLE_SHARED_LIB_FLAG = 1
ENABLE_TARGETBSD_FLAG = 0
ENABLE_UDEV_FLAG = 1
ENABLE_USB_FLAG = 1
EXEEXT = 
FGREP = /bin/grep -F
GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
GLIB_LIBS = -lglib-2.0
GOBJECT_CFLAGS = 
GOBJECT_LIBS = 
GREP = /bin/grep
INSTALL = /usr/bin/install -c
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
INTROSPECTION_GIRDIR = /usr/share/gir-1.0
INTROSPECTION_LIBS = -lgirepository-1.0 -lgobject-2.0 -lglib-2.0
INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
INTROSPECTION_TYPELIBDIR = /usr/lib/x86_64-linux-gnu/girepository-1.0
LD = /usr/bin/ld -m elf_x86_64
LDFLAGS = 
LIBDRM_CFLAGS = -I/usr/include/libdrm
LIBDRM_LIBS = -ldrm
LIBOBJS = 
LIBS = -ldl 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIBTOOL_DEPS = config/ltmain.sh
LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
LIBUSB_LIBS = -lusb-1.0
LIBX11_CFLAGS = 
LIBX11_LIBS = -lX11
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_AGE = 0
LT_CURRENT = 4
LT_REVISION = 0
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = ddcutil
PACKAGE_BUGREPORT = rockowitz@minsoft.com
PACKAGE_NAME = ddcutil
PACKAGE_STRING = ddcutil 1.0.2
PACKAGE_TARNAME = ddcutil
PACKAGE_URL = 
PACKAGE_VERSION = 1.0.2
PACKAGE_VMAJOR = 1
PACKAGE_VMICRO = 2
PACKAGE_VMINOR = 0
PATH_SEPARATOR = :
PKG_CONFIG = /usr/bin/pkg-config
PKG_CONFIG_LIBDIR = 
PKG_CONFIG_PATH = 
PY2_CFLAGS = 
PY2_EXECDIR = 
PY2_EXTRA_LDFLAGS = 
PY2_EXTRA_LIBS = 
PY2_LIBS = 
PY3_CFLAGS = 
PY3_EXECDIR = 
PY3_EXTRA_LDFLAGS = 
PY3_EXTRA_LIBS = 
PY3_LIBS = 
PYEXECDIR = 
PYTHON = 
PYTHON3 = 
PYTHON3_EXEC_PREFIX = 
PYTHON3_PLATFORM = 
PYTHON3_PREFIX = 
PYTHON3_VERSION = 
PYTHON_EXEC_PREFIX = 
PYTHON_PLATFORM = 
PYTHON_PREFIX = 
PYTHON_VERSION = 
RANLIB = ranlib
REQUIRED_PACKAGES =  glib-2.0 >= 2.32 xrandr x11
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
SWIG = 
SWIG_LIB = 
UDEV_CFLAGS = 
UDEV_LIBS = -ludev
VERSION = 1.0.2
XRANDR_CFLAGS = 
XRANDR_LIBS = -lXrandr
ZLIB_CFLAGS = 
ZLIB_LIBS = -lz
abs_builddir = /shared/playproj/i2c/src/adl
abs_srcdir = /shared/playproj/i2c/src/adl
abs_top_builddir = /shared/playproj/i2c
abs_top_srcdir = /shared/playproj/i2c
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /shared/playproj/i2c/config/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
pkgpy3execdir = 
pkgpyexecdir = 
pkgpython3dir = 
pkgpythondir = 
prefix = /usr/local
program_transform_name = s,x,x,
psdir = ${docdir}
py2execdir = 
py3execdir = 
pyexecdir = 
python3dir = 
pythondir =

=== debian/changelog ===
ddcutil (1.3.0-1) unstable; urgency=medium

  * New upstream release

  * debian/control
    - Standards-Version: increment to 4.6.1

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Tue, 19 Jul 2022 05:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                libusb-1.0-0-dev,
                libxrandr-dev,
                pkg-config
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Rules-Requires-Root: no
 Homepage: https://www.ddcutil.com

## ddcutil 1.4.1

=== debian/changelog ===
ddcutil (1.4.1-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 07:32:12 +0000

ddcutil (1.4.1-1build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:11:32 +0000

ddcutil (1.4.1-1) unstable; urgency=medium

  * New upstream release

  * debian/control
    - Bump required glib2 version to 2.64
    - Bump standards-Version to 4.6.2

  * debian/ddcutil.install
    - Install /usr/lib/udev/rules.d/60-ddcutil.rules, which uses the uaccess
      tag to grant current user read/write access to /dev/i2c devices created
      by video adapters

  * debian/menu
    - Deleted.

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Thu, 26 Jan 2023 05:00:00 -0400

ddcutil (1.3.2-1) unstable; urgency=medium

  * New upstream release
    - modify makefiles to exclude junk files from distribution tarball

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Sat, 03 Sep 2022 05:00:00 -0400

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,18 @@
 Source: ddcutil
 Priority: optional
 Section: utils
-Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
 Build-Depends: debhelper (>= 13),
                libdrm-dev,
-               libglib2.0-dev (>= 2.32),
+               libglib2.0-dev (>= 2.64),
                libi2c-dev (>= 4.0),
                libkmod-dev,
                libudev-dev,
                libusb-1.0-0-dev,
                libxrandr-dev,
                pkg-config
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://www.ddcutil.com

## ddcutil 2.1.4

=== debian/changelog ===
ddcutil (2.1.4-6~mx23+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 14 Dec 2024 00:44:19 -0800

ddcutil (2.1.4-6) unstable; urgency=medium

  * Add 'd/patches/fix_crlf_lf.patch.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 26 Sep 2024 06:47:55 +0100

ddcutil (2.1.4-5) unstable; urgency=medium

  * Fix bad commit of 'src/app_ddcutil/main.c'

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 25 Sep 2024 20:41:21 +0100

ddcutil (2.1.4-4) unstable; urgency=medium

  * 'd/control':
    - Adoption, add myself as maintainer. (Closes: #1080172)
    - Remove versioned Build-Depends and Depends.
  * Add Debian Continuous Integration (CI) file: 'd/salsa-ci.yml'.
  * 'd/rules': Add DH_VERBOSE, but have disabled by default.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 25 Sep 2024 19:32:57 +0100

ddcutil (2.1.4-3) unstable; urgency=medium

  * QA upload.
  * Update and rename debian/patches/fix-building-on-arm.patch to 
    fix-building-on-32bit.patch.

 -- Soren Stoutner <soren@debian.org>  Thu, 05 Sep 2024 16:49:36 -0700

ddcutil (2.1.4-2) unstable; urgency=medium

  * QA upload.
  * Add debian/patches/fix-building-on-arm.patch.
  * Remove obsolete debian/compat file.
  * debian/control:
    - Specify debhelper-compat (= 13) to replace obsolete debian/compat file.
    - Update Build-Depends from obsolete pkg-config to pkgconf.
    - Mark libddcutil5 as Multi-Arch: same.
    - Add Vcs-Git and Vcs-Browser fields.
  * debian/copyright:  Add myself to debian/*.

 -- Soren Stoutner <soren@debian.org>  Wed, 04 Sep 2024 11:30:54 -0700

ddcutil (2.1.4-1) unstable; urgency=medium

  * Package is orphaned.

  * Changed distribution from experimental to unstable as part of libddcutil5
    transition

  * debian/control
    - Bump standards version to 4.7.0
    - Changed maintainer field to Debian QA group

  * debian/copyright
    - Add BSD-3-clause

  * debian/ddcutil.install
    - Replace /usr/lib/udev/rules.d/60-ddcutil.rules with
      /usr/lib/udev/rules.d/60-ddcutil*.rules

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Fri, 30 Aug 2024 05:00:00 -0400

ddcutil (2.1.4-1~exp1) experimental; urgency=medium

  * Upload to experimental

  * New upstream release (Closes: #1031259)

  * debian/ddcutil.install
    - install /usr/lib/modules-load.d/ddcutil.conf

  * debian/libddcutil5.install
    - new shared library package reflecting SONAME bump, replaces libddcutil4

 -- Sanford Rockowitz <rockowitz@minsoft.com>  Wed, 07 Feb 2024 05:00:00 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- --enable-lib=yes --enable-drm=yes --enable-usb=yes

# No dbgsym packages:
override_dh_strip:
	@echo "NO--THANKS ANYWAY--but not building dbgsym packages for MX Linux"
	dh_strip --no-automatic-dbgsym

## ddcutil 2.2.0

=== debian/changelog ===
ddcutil (2.2.0-1) unstable; urgency=medium

  * New upstream release, 2.2.0.
  * 'd/control':
    - Update 'Standards-Version' to 4.7.1, no changes required.
  * 'd/copyright':
    - Add myself to 'Files: debian/*' section.
  * Add simple 'd/gbp.conf' to start us off.
  * Remove 'd/patches' and contents, no longer required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sat, 22 Feb 2025 15:37:45 +0000

=== debian/control ===
--- 
+++ 
@@ -1,20 +1,21 @@
 Source: ddcutil
 Priority: optional
 Section: utils
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Sanford Rockowitz <rockowitz@minsoft.com>
-Build-Depends: debhelper (>= 13),
+Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Build-Depends: debhelper-compat (= 13),
                libdrm-dev,
-               libglib2.0-dev (>= 2.64),
-               libi2c-dev (>= 4.0),
-               libkmod-dev,
+               libglib2.0-dev,
+               libi2c-dev,
+               libjansson-dev,
                libudev-dev,
                libusb-1.0-0-dev,
                libxrandr-dev,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.1
 Rules-Requires-Root: no
 Homepage: https://www.ddcutil.com
+Vcs-Git: https://salsa.debian.org/debian/ddcutil.git
+Vcs-Browser: https://salsa.debian.org/debian/ddcutil
 
 Package: ddcutil
 Architecture: any
@@ -23,7 +24,7 @@
          pci.ids,
          usb.ids,
          usbutils,
-         i2c-tools (>= 4.0)
+         i2c-tools
 Description: Control monitor settings - Standalone command line application
  ddcutil is used to query and change monitor settings.
  .
@@ -32,9 +33,10 @@
  I2C bus.  Alternatively, communication can be performed over USB as per the
  USB Monitor Control Class Specification.
 
-Package: libddcutil4
+Package: libddcutil5
 Section: libs
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          pci.ids,
@@ -52,7 +54,7 @@
 Architecture: any
 Section: libdevel
 Depends: ${misc:Depends},
-         libddcutil4 (=${binary:Version})
+         libddcutil5 (=${binary:Version})
 Description: Control monitor settings - development files
  These are the C development files for libddcutil.
  .

=== debian/watch ===
# Watch control file for uscan

version=4

# Use rockowitz.github.io instead of www.ddcutil.com because github doesn't
# support https for custom domain names.

https://rockowitz.github.io/releases/index .*/ddcutil-(.*)\.tar\.gz

## ddcutil 2.2.1

=== src/cython/Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
-# Makefile.in generated by automake 1.15.1 from Makefile.am.
+# Makefile.in generated by automake 1.16.5 from Makefile.am.
 # src/cython/Makefile.  Generated from Makefile.in by configure.
 
-# Copyright (C) 1994-2017 Free Software Foundation, Inc.
+# Copyright (C) 1994-2021 Free Software Foundation, Inc.
 
 # This Makefile.in is free software; the Free Software Foundation
 # gives unlimited permission to copy and/or distribute it,
@@ -169,7 +169,9 @@
 am__v_at_1 = 
 DEFAULT_INCLUDES = -I. -I$(top_builddir)
 depcomp = $(SHELL) $(top_srcdir)/config/depcomp
-am__depfiles_maybe = depfiles
+am__maybe_remake_depfiles = depfiles
+am__depfiles_remade = ./$(DEPDIR)/cyddc2_la-cyddc2.Plo \
+	./$(DEPDIR)/cyddc3_la-cyddc3.Plo
 am__mv = mv -f
 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
 	$(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
@@ -213,28 +215,24 @@
   unique=`for i in $$list; do \
     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
   done | $(am__uniquify_input)`
-ETAGS = etags
-CTAGS = ctags
 am__DIST_COMMON = $(srcdir)/Makefile.in $(top_srcdir)/config/depcomp
 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
-ACLOCAL = ${SHELL} /shared/playproj/i2c/config/missing aclocal-1.15
-ADL_HEADER_DIR = /shared/playproj/i2c/adl_sdk_headers
+ACLOCAL = ${SHELL} '/shared/playproj/i2c/config/missing' aclocal-1.16
 AMTAR = $${TAR-tar}
 AM_DEFAULT_VERBOSITY = 0
 AR = ar
-AUTOCONF = ${SHELL} /shared/playproj/i2c/config/missing autoconf
-AUTOHEADER = ${SHELL} /shared/playproj/i2c/config/missing autoheader
-AUTOMAKE = ${SHELL} /shared/playproj/i2c/config/missing automake-1.15
+AUTOCONF = ${SHELL} '/shared/playproj/i2c/config/missing' autoconf
+AUTOHEADER = ${SHELL} '/shared/playproj/i2c/config/missing' autoheader
+AUTOMAKE = ${SHELL} '/shared/playproj/i2c/config/missing' automake-1.16
 AWK = gawk
 CC = gcc
 CCDEPMODE = depmode=gcc3
 CFLAGS = -g -O2
-CPP = gcc -E
 CPPFLAGS = 
+CSCOPE = cscope
+CTAGS = ctags
 CYGPATH_W = echo
 DBG = 
-DEBIAN_DISTRIBUTION = xenial
-DEBIAN_RELEASE = 1
 DEFS = -DHAVE_CONFIG_H
 DEPDIR = .deps
 DLLTOOL = false
@@ -269,22 +267,27 @@
 ECHO_C = 
 ECHO_N = -n
 ECHO_T = 
-EGREP = /bin/grep -E
+EGREP = /usr/bin/grep -E
+ENABLE_ENVCMDS_FLAG = 1
 ENABLE_SHARED_LIB_FLAG = 1
+ENABLE_TARGETBSD_FLAG = 0
+ENABLE_UDEV_FLAG = 1
 ENABLE_USB_FLAG = 1
+ETAGS = etags
 EXEEXT = 
-FGREP = /bin/grep -F
+FGREP = /usr/bin/grep -F
+FILECMD = file
 GLIB_CFLAGS = -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
 GLIB_LIBS = -lglib-2.0
 GOBJECT_CFLAGS = 
 GOBJECT_LIBS = 
-GREP = /bin/grep
+GREP = /usr/bin/grep
 INSTALL = /usr/bin/install -c
 INSTALL_DATA = ${INSTALL} -m 644
 INSTALL_PROGRAM = ${INSTALL}
 INSTALL_SCRIPT = ${INSTALL}
 INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
-INTROSPECTION_CFLAGS = -pthread -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
+INTROSPECTION_CFLAGS = -I/usr/include/gobject-introspection-1.0 -I/usr/include/glib-2.0 -I/usr/lib/x86_64-linux-gnu/glib-2.0/include
 INTROSPECTION_COMPILER = /usr/bin/g-ir-compiler
 INTROSPECTION_GENERATE = /usr/bin/g-ir-generate
 INTROSPECTION_GIRDIR = /usr/share/gir-1.0
@@ -292,14 +295,14 @@
 INTROSPECTION_MAKEFILE = /usr/share/gobject-introspection-1.0/Makefile.introspection
 INTROSPECTION_SCANNER = /usr/bin/g-ir-scanner
 INTROSPECTION_TYPELIBDIR = /usr/lib/x86_64-linux-gnu/girepository-1.0
-LD = /usr/bin/x86_64-linux-gnu-ld -m elf_x86_64
+LD = /usr/bin/ld -m elf_x86_64
 LDFLAGS = 
 LIBDRM_CFLAGS = -I/usr/include/libdrm
 LIBDRM_LIBS = -ldrm
 LIBOBJS = 
-LIBS = -ldl 
+LIBS = 
 LIBTOOL = $(SHELL) $(top_builddir)/libtool
-LIBTOOL_DEPS = config/ltmain.sh
+LIBTOOL_DEPS = ./config//ltmain.sh
 LIBUSB_CFLAGS = -I/usr/include/libusb-1.0
 LIBUSB_LIBS = -lusb-1.0
 LIBX11_CFLAGS = 
@@ -308,12 +311,12 @@
 LN_S = ln -s
 LTLIBOBJS = 
 LT_AGE = 0
-LT_CURRENT = 0
+LT_CURRENT = 4
 LT_REVISION = 0
 LT_SYS_LIBRARY_PATH = 
-MAKEINFO = ${SHELL} /shared/playproj/i2c/config/missing makeinfo
+MAKEINFO = ${SHELL} '/shared/playproj/i2c/config/missing' makeinfo
 MANIFEST_TOOL = :
-MKDIR_P = /bin/mkdir -p
+MKDIR_P = /usr/bin/mkdir -p
 NM = /usr/bin/nm -B
 NMEDIT = 
 OBJDUMP = objdump
@@ -323,13 +326,13 @@
 PACKAGE = ddcutil
 PACKAGE_BUGREPORT = rockowitz@minsoft.com
 PACKAGE_NAME = ddcutil
-PACKAGE_STRING = ddcutil 0.9.2
+PACKAGE_STRING = ddcutil 1.0.0
 PACKAGE_TARNAME = ddcutil
 PACKAGE_URL = 
-PACKAGE_VERSION = 0.9.2
-PACKAGE_VMAJOR = 0
-PACKAGE_VMICRO = 2
-PACKAGE_VMINOR = 9
+PACKAGE_VERSION = 1.0.0
+PACKAGE_VMAJOR = 1
+PACKAGE_VMICRO = 0
+PACKAGE_VMINOR = 0
 PATH_SEPARATOR = :
 PKG_CONFIG = /usr/bin/pkg-config
 PKG_CONFIG_LIBDIR = 
@@ -357,7 +360,7 @@
 PYTHON_VERSION = 
 RANLIB = ranlib
 REQUIRED_PACKAGES =  glib-2.0 >= 2.32 xrandr x11
-SED = /bin/sed
+SED = /usr/bin/sed
 SET_MAKE = 
 SHELL = /bin/bash
 STRIP = strip
@@ -365,7 +368,7 @@
 SWIG_LIB = 
 UDEV_CFLAGS = 
 UDEV_LIBS = -ludev
-VERSION = 0.9.2
+VERSION = 1.0.0
 XRANDR_CFLAGS = 
 XRANDR_LIBS = -lXrandr
 ZLIB_CFLAGS = 
@@ -380,6 +383,3 @@
 am__include = include
 am__leading_dot = .
 am__quote = 
-am__tar = $${TAR-tar} chof - "$$tardir"
-am__untar = $${TAR-tar} xf -
-bindir = ${exec_prefix}/bin

=== debian/changelog ===
ddcutil (2.2.1-5) unstable; urgency=medium

  * 'debian/watch':
    - Make 'Version: 5' its own paragraph.

 -- Phil Wyett <philip.wyett@kathenas.org>  Tue, 09 Sep 2025 12:27:50 +0100

ddcutil (2.2.1-4) unstable; urgency=medium

  * Add 'ddcutil.lintian-overrides' file.

 -- Phil Wyett <philip.wyett@kathenas.org>  Wed, 03 Sep 2025 09:37:41 +0100

ddcutil (2.2.1-3) unstable; urgency=medium

  * 'debian/control':
    - Remove not needed 'Rules-Requires-Root: no'.

 -- Phil Wyett <philip.wyett@kathenas.org>  Fri, 29 Aug 2025 21:48:58 +0100

ddcutil (2.2.1-2) unstable; urgency=medium

  * 'debian/watch':
    - Update to version 5.

 -- Phil Wyett <philip.wyett@kathenas.org>  Thu, 28 Aug 2025 11:04:39 +0100

ddcutil (2.2.1-1) unstable; urgency=medium

  * New upstream version, 2.2.1.
  * 'debian/watch': Minor cleanup of whitespace.

 -- Phil Wyett <philip.wyett@kathenas.org>  Sun, 13 Jul 2025 14:56:16 +0100

ddcutil (2.2.0-2) unstable; urgency=medium

  * 'debian/changelog':
    - Remove trailing whitespace.
  * 'debian/control':
    - Make 'libddcutil-dev' 'Multi-Arch: same'.
    - Update 'Standards-Version' to 4.7.2, no changes required.

 -- Phil Wyett <philip.wyett@kathenas.org>  Mon, 07 Apr 2025 19:32:39 +0100

=== debian/control ===
--- 
+++ 
@@ -11,8 +11,7 @@
                libusb-1.0-0-dev,
                libxrandr-dev,
                pkgconf
-Standards-Version: 4.7.1
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://www.ddcutil.com
 Vcs-Git: https://salsa.debian.org/debian/ddcutil.git
 Vcs-Browser: https://salsa.debian.org/debian/ddcutil
@@ -52,6 +51,7 @@
 
 Package: libddcutil-dev
 Architecture: any
+Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends},
          libddcutil5 (=${binary:Version})

=== debian/watch ===
Version: 5

Template: Github
Owner: rockowitz
Project: ddcutil

## ddcutil 2.2.3

=== debian/changelog ===
ddcutil (2.2.3-1) unstable; urgency=medium

  [ Phil Wyett ]
  * Add 'debian/lrc.config' and insert build related files.

  [ Nicolas Schodet ]
  * New maintainer (Closes: #1119037).
  * New upstream version 2.2.3:
    - Fix assertion failure, "bus_info" in file ddc_packet_io.c
      (Closes: #1115931).
    - Update d/lrc.config.
    - d/copyright: add stanza for ddcutil.appdata.xml.
  * Upgrade to secure URLs in d/copyright and d/upstream/metadata.
  * d/copyright: fix trailing whitespaces.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Wed, 26 Nov 2025 15:35:51 +0100

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: ddcutil
 Priority: optional
 Section: utils
-Maintainer: Phil Wyett <philip.wyett@kathenas.org>
+Maintainer: Nicolas Schodet <nico@ni.fr.eu.org>
 Build-Depends: debhelper-compat (= 13),
                libdrm-dev,
                libglib2.0-dev,
